From: "Alfredo Tupone" <tupone@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ada/aunit/
Date: Thu, 18 Nov 2021 07:16:51 +0000 (UTC) [thread overview]
Message-ID: <1637219800.bdffa54771aabf15cee4ebde6a23ab96188043cf.tupone@gentoo> (raw)
commit: bdffa54771aabf15cee4ebde6a23ab96188043cf
Author: Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 18 07:16:40 2021 +0000
Commit: Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Thu Nov 18 07:16:40 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bdffa547
dev-ada/aunit: 22.0.0 bump
Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>
dev-ada/aunit/Manifest | 1 +
dev-ada/aunit/aunit-22.0.0.ebuild | 41 +++++++++++++++++++++++++++++++++++++++
2 files changed, 42 insertions(+)
diff --git a/dev-ada/aunit/Manifest b/dev-ada/aunit/Manifest
index 974b07eb92fb..fb38b2bbb18f 100644
--- a/dev-ada/aunit/Manifest
+++ b/dev-ada/aunit/Manifest
@@ -1,2 +1,3 @@
DIST aunit-2020-20200429-19B6C-src.tar.gz 615443 BLAKE2B b7d31dc8e198b3ceb94d043d701dceadbc1e20596a71a4f25a140bdd3f9ad54f7d7e4d4bfb587fbc31b9a6a046407c2d0dbd77dd2d045878e9aa2da3954d2964 SHA512 2d61db882cd7eaf66be101ffabafafdab1834578df162f0ef1947b517265033285cef3d84a76a3b0f1cb05d0adf12a1910b652bfbaeb56fc022157f44b34de86
DIST aunit-2021-20210518-19DC5-src.tar.gz 625153 BLAKE2B 385478bcc889d5f764a3498d98915928671a546c7345d8ca3e4f092d85a92c7b196d2a3f7a81f2199237f472f691d30b05b2f3308f063c509d8e9f3e834d620e SHA512 c365ed5ffe4ff60413969e92989396c6d2849a1f16ceb4b8b3fd666153f6cb480f4d74c42362fb751c522a29a555996e3bc5fdd0e80ba2e817940599f8be4798
+DIST aunit-22.0.0.tar.gz 131442 BLAKE2B 6ddc2f37ea06cfd5c7ad4d145b8889e171169108b90252feacf600a00acbd4740e638e7d478e4ac474953f9f3dcb118a4c5486a1cca6380b054661cf4b5f7e18 SHA512 5380fcb18ede7422507aff566f97521760fcc8a713d0e90195128189807784fec828c2e2c538aa0ac897cbdeb15fa2120e67b9e998875aac0ade2636dbea4e96
diff --git a/dev-ada/aunit/aunit-22.0.0.ebuild b/dev-ada/aunit/aunit-22.0.0.ebuild
new file mode 100644
index 000000000000..b89252b1d94e
--- /dev/null
+++ b/dev-ada/aunit/aunit-22.0.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+ADA_COMPAT=( gnat_2019 gnat_202{0..1} )
+inherit ada multiprocessing
+
+DESCRIPTION="Ada unit testing framework"
+HOMEPAGE="http://libre.adacore.com/tools/aunit/"
+SRC_URI="https://github.com/AdaCore/${PN}/archive/refs/tags/v${PV}.tar.gz
+ -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="${ADA_DEPS}"
+DEPEND="${RDEPEND}
+ dev-ada/gprbuild[${ADA_USEDEP}]"
+
+REQUIRED_USE="${ADA_REQUIRED_USE}"
+
+PATCHES=( "${FILESDIR}"/${PN}-2016-gentoo.patch )
+
+src_compile() {
+ emake GPRBUILD="gprbuild -j$(makeopts_jobs) -v"
+}
+
+src_install() {
+ emake INSTALL="${D}"/usr install
+ einstalldocs
+ mv "${D}"/usr/share/examples/${PN} "${D}"/usr/share/doc/${PF}/examples || die
+ rmdir "${D}"/usr/share/examples || die
+ rm -r "${D}"/usr/share/gpr/manifests || die
+}
+
+src_test() {
+ emake PROJECT_PATH_ARG="ADA_PROJECT_PATH=$(pwd)/lib/gnat" -C test
+}
next reply other threads:[~2021-11-18 7:16 UTC|newest]
Thread overview: 35+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-11-18 7:16 Alfredo Tupone [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-23 8:06 [gentoo-commits] repo/gentoo:master commit in: dev-ada/aunit/ Arthur Zamarin
2024-03-02 16:05 Alfredo Tupone
2024-03-02 12:08 Alfredo Tupone
2024-01-01 22:15 Alfredo Tupone
2023-12-20 18:24 Alfredo Tupone
2023-03-21 21:02 Alfredo Tupone
2023-01-15 9:46 Alfredo Tupone
2022-12-19 20:30 Alfredo Tupone
2022-12-05 13:23 Alfredo Tupone
2022-11-21 18:13 Alfredo Tupone
2021-12-19 22:09 Agostino Sarubbo
2021-11-25 7:20 Alfredo Tupone
2021-09-19 10:09 Alfredo Tupone
2021-07-20 6:33 Agostino Sarubbo
2021-06-05 13:24 Alfredo Tupone
2021-06-02 11:44 Alfredo Tupone
2021-06-01 16:21 Alfredo Tupone
2020-08-01 20:40 Alfredo Tupone
2020-05-21 18:15 Alfredo Tupone
2019-11-09 19:53 Alfredo Tupone
2019-10-18 17:03 Alfredo Tupone
2019-09-17 6:58 Alfredo Tupone
2019-08-28 19:46 Alfredo Tupone
2019-08-27 10:08 Alfredo Tupone
2019-08-11 11:20 David Seifert
2019-06-18 6:32 Alfredo Tupone
2018-11-10 14:27 Alfredo Tupone
2018-07-18 19:58 Alfredo Tupone
2018-06-28 19:08 Alfredo Tupone
2018-06-25 7:39 Alfredo Tupone
2018-06-17 7:07 Alfredo Tupone
2018-04-22 7:40 Alfredo Tupone
2018-03-10 13:34 Alfredo Tupone
2018-02-13 19:25 Alfredo Tupone
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1637219800.bdffa54771aabf15cee4ebde6a23ab96188043cf.tupone@gentoo \
--to=tupone@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox